
#define MAX_ATTRS 	12
#define MAX_VALUES	10
#define MAX_VAL_SIZE	512

#define COMMON_NAME	"cn"
#define TITLE		"title"
#define POSTAL_ADDRESS	"postalAddress"
#define PHONE_NUMBER	"telephoneNumber"
#define E_MAIL_ADDRESS	"mail"
#define HOME_PHONE	"homePhone"
#define HOME_ADDRESS	"homePostalAddress"
#define OBJECT_CLASS	"objectClass"
#define MLDESCRIPTION	"multiLineDescription"
#define DESCRIPTION	"description"
#define OWNER		"owner"
#define MEMBERS		"member"
#define FAX		"facsimileTelephoneNumber"
#define UNIQNAME	"uid"
#define PASSWORD	"userPassword"
#define CAMPUS_PHONE    "campusPhone"
#define CAMPUSDOMICILE  "campusDomicile"
#define GRAD_YEAR       "year"
#define MAJORS          "majors"

#define T61		"{T.61}"

#define DEFAULT_BASE	"c=US@st=New Jersey@o=Rutgers University"
#define DEFAULT_LINES	24

struct entry {
	char name[MAX_VAL_SIZE];
	char names[MAX_VALUES][MAX_VAL_SIZE];
	char title[MAX_VALUES][MAX_VAL_SIZE];
	char email[MAX_VALUES][MAX_VAL_SIZE];
	char baddr[MAX_VALUES][MAX_VAL_SIZE];
	char bphon[MAX_VALUES][MAX_VAL_SIZE];
	char hphon[MAX_VALUES][MAX_VAL_SIZE];
	char haddr[MAX_VALUES][MAX_VAL_SIZE];
	char descr[MAX_VALUES][MAX_VAL_SIZE];
	char mldsc[MAX_VALUES][MAX_VAL_SIZE];
	char class[MAX_VALUES][MAX_VAL_SIZE];
	char faxxx[MAX_VALUES][MAX_VAL_SIZE];
	char uid_x[MAX_VALUES][MAX_VAL_SIZE];
	char caddr[MAX_VALUES][MAX_VAL_SIZE];
	char cphon[MAX_VALUES][MAX_VAL_SIZE];
	char year[MAX_VALUES][MAX_VAL_SIZE];
	char major[MAX_VALUES][MAX_VAL_SIZE];
	char cdom[MAX_VALUES][MAX_VAL_SIZE];

	/* these are used for groups */
	char owner[MAX_VALUES][MAX_VAL_SIZE];
	char mmbrs[MAX_VALUES * 10][MAX_VAL_SIZE];
};

#if defined(BSD) && BSD >= 199006 || defined(sparc)
#define SIG_FN	void		/* signal-catching functions return void */
#else
#ifdef SYSV
#define SIG_FN	void		/* signal-catching functions return void */
#else
#define SIG_FN	int		/* signal-catching functions return int */
#endif
#endif
